/*!
* @file HaveInventory.h
* @brief アイテムリスト所持のプロトタイプ
* @date 2014/06/17
* @author Deskull
* 2014 Sikabane Works.
*/

#pragma once

#include "stdafx.h"
#include "Deeangband.h"
#include "GameElement.h"
#include "Item.h"

namespace Deeangband
{

	/*! 
	* @class HaveInventory
	* @brief アイテムリスト所持のクラス
	* @details 
	*/
	class HaveInventory
	{
	private:


		/*!
		* @brief クラスのシリアライズを設定する
		* @param archive アーカイブ化するクラスのアドレス
		* @param version ファイルバージョン
		* @return XMLSerializeテンプレート
		*/
		template<class Archive> void serialize(Archive &archive, const unsigned int version) 
		{
			if(version >= 0)
			{
			}
		}

	protected:
		std::vector<Item> itemList;  //!< アイテムリスト

	public:

		/*! 
		* @brief HaveInventoryクラスコンストラクタ
		*/
		HaveInventory::HaveInventory(void);

		/*! 
		* @brief HaveInventoryクラスデストラクタ
		*/
		HaveInventory::~HaveInventory(void);

		/*! 
		* @brief HaveInventoryクラスのデータ消去
		* @return なし
		*/
		void HaveInventory::WipeData(void);



	};

}

